<template>
  <div class="c-card resize bk-white" :id="id" style="margin-left:215px">
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2000 2000">
      <g id="Post 4">
        <g id="Design">
          <path
            id="Shape"
            :fill="color2"
            d="M568 1061C568 1061 1451.87 1313.76 2000 999L2000 1174C2000 1174 1128.39 1446.49 568 1061Z"
          />
          <path
            id="Shape"
            :fill="color3"
            d="M0 0C0 0 27.7 1659.79 2000 1172L2000 2000L0 2000L0 0Z"
          />
          <path
            id="Shape"
            :fill="color1"
            d="M0 1133C0 1133 94.35 1391.87 599 1439C1103.65 1486.13 1089.85 2000.79 818 2000C552.49 1999.23 0 2000 0 2000L0 1133Z"
          />
          <path
            id="Shape"
            :fill="color2"
            d="M111 0C111 0 58.37 311.98 133 549C133 549 3.27 289.39 0 0L111 0Z"
          />
        </g>
      </g>
    </svg>
    <div class="c-container-flex">
      <img src="@/assets/img/woman-phone.png" alt width="100%" />
    </div>
    <div class="container-absolute">
      <div class="c-container-flex m-20">
        <div class="c-container-flex inline half">
          <p class="o-text uppercase bold large" v-bind:style="{color:color4}">Business</p>
          <p class="o-text uppercase bold gigant pt-10 pb-10" v-bind:style="{color:color2}">Events</p>
        </div>
        <div class="c-container-flex inline half">
          <p
            class="o-text smaller white"
            v-bind:style="{color:color4}"
          >Lorem Ipsum is simply dummy text of the</p>
          <div class="c-container-control-footer flex-start mt-5">
            <img src="@/assets/img/Linkedin.png" alt />
            <img src="@/assets/img/Pinterest.png" alt />
            <img src="@/assets/img/Twitter.png" alt />
            <img src="@/assets/img/Facebook.png" alt />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Mixins } from "vue-property-decorator";
import { MixinGeneral } from "@/mixins/mixinGeneral";

@Component
export default class CardFour extends Mixins(MixinGeneral) {
  @Prop({ type: String, required: true }) id: any;
  @Prop({ type: String, default: "#00488c" }) color1: any;
  @Prop({ type: String, default: "#ffc031" }) color2: any;
  @Prop({ type: String, default: "#0a5290" }) color3: any;
  @Prop({ type: String, default: "#ffffff" }) color4: any;
  @Prop({ type: String, default: "250px" }) height: any;
  @Prop({ type: String, default: "250px" }) width: any;
  @Prop({ type: String, default: "0px" }) marginRight: any;
  @Prop({ type: String, default: "0px" }) marginBottom: any;

  mounted() {
    const Gradient = document.querySelector(`#${this.id}`) as HTMLElement;
    this.setProps(Gradient);
    setTimeout(() => {
      Gradient.style.opacity = "1";
      Gradient.style.marginLeft = "0px";
      Gradient.style.marginRight = this.marginRight;
    }, 10);

    const imagens = document.querySelectorAll("div.justify > img.justify");
    imagens.forEach((el: any) => {
      el.style.border = "2px solid " + this.color2;
    });
  }
}
</script>

<style scoped lang="scss">
.container-absolute {
  position: absolute;
  bottom: 00px;
  z-index: 11;
  left: 0px;
  width: 100%;
}
</style>